Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(632)

Issue 9889044: IDL roll to multivm 1266 (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
9 years, 4 months ago by vsm
Modified:
9 years, 4 months ago
Reviewers:
antonm1, blois
CC:
reviews_dartlang.org
Base URL:
https://dart.googlecode.com/svn/third_party/WebCore
Visibility:
Public.

Description

IDL roll to multivm 1266 TBR=blois Committed: 23517

Patch Set 1 #

Total comments: 6
Unified diffs Side-by-side diffs Delta from patch set Stats (+1591 lines, -2671 lines) Patch
M core/README View 1 chunk +1 line, -1 line 0 comments Download
D core/core.gyp/scripts/action_csspropertynames.py View 1 chunk +0 lines, -174 lines 0 comments Download
D core/core.gyp/scripts/action_cssvaluekeywords.py View 1 chunk +0 lines, -178 lines 0 comments Download
A + core/css/CSS.idl View 1 chunk +3 lines, -5 lines 0 comments Download
M core/css/CSSFontFaceLoadEvent.idl View 1 chunk +1 line, -0 lines 0 comments Download
M core/css/CSSPrimitiveValue.idl View 1 chunk +0 lines, -1 line 0 comments Download
M core/css/CSSRule.idl View 1 chunk +1 line, -2 lines 0 comments Download
M core/css/CSSRuleList.idl View 1 chunk +1 line, -2 lines 0 comments Download
M core/css/CSSStyleDeclaration.idl View 2 chunks +1 line, -6 lines 0 comments Download
M core/css/CSSStyleSheet.idl View 1 chunk +1 line, -1 line 0 comments Download
M core/css/CSSSupportsRule.idl View 1 chunk +3 lines, -1 line 0 comments Download
M core/css/CSSValue.idl View 1 chunk +1 line, -2 lines 0 comments Download
M core/css/CSSValueList.idl View 1 chunk +0 lines, -1 line 0 comments Download
M core/css/Counter.idl View 1 chunk +0 lines, -1 line 0 comments Download
D core/css/DOMWindowCSS.idl View 1 chunk +0 lines, -38 lines 0 comments Download
M core/css/FontLoader.idl View 1 chunk +2 lines, -1 line 0 comments Download
M core/css/MediaList.idl View 1 chunk +0 lines, -1 line 0 comments Download
M core/css/MediaQueryList.idl View 1 chunk +1 line, -1 line 0 comments Download
M core/css/MediaQueryListListener.idl View 1 chunk +1 line, -1 line 0 comments Download
M core/css/RGBColor.idl View 1 chunk +0 lines, -1 line 0 comments Download
M core/css/Rect.idl View 1 chunk +0 lines, -1 line 0 comments Download
M core/css/StyleMedia.idl View 1 chunk +3 lines, -1 line 0 comments Download
M core/css/StyleSheet.idl View 1 chunk +1 line, -1 line 0 comments Download
M core/css/StyleSheetList.idl View 1 chunk +2 lines, -3 lines 0 comments Download
M core/css/WebKitCSSFilterValue.idl View 2 chunks +2 lines, -2 lines 0 comments Download
M core/css/WebKitCSSKeyframesRule.idl View 1 chunk +1 line, -0 lines 0 comments Download
M core/css/WebKitCSSMixFunctionValue.idl View 1 chunk +0 lines, -1 line 0 comments Download
M core/css/WebKitCSSRegionRule.idl View 1 chunk +1 line, -1 line 0 comments Download
M core/css/WebKitCSSTransformValue.idl View 2 chunks +2 lines, -2 lines 0 comments Download
M core/css/WebKitCSSViewportRule.idl View 1 chunk +1 line, -1 line 0 comments Download
M core/dom/CharacterData.idl View 1 chunk +3 lines, -1 line 0 comments Download
M core/dom/ClientRect.idl View 1 chunk +0 lines, -1 line 0 comments Download
M core/dom/ClientRectList.idl View 1 chunk +0 lines, -1 line 0 comments Download
M core/dom/Clipboard.idl View 1 chunk +0 lines, -1 line 0 comments Download
M core/dom/Comment.idl View 1 chunk +4 lines, -1 line 0 comments Download
M core/dom/CustomElementConstructor.idl View 1 chunk +2 lines, -1 line 0 comments Download
M core/dom/DOMCoreException.idl View 1 chunk +1 line, -2 lines 0 comments Download
M core/dom/DOMError.idl View 1 chunk +1 line, -1 line 0 comments Download
M core/dom/DOMImplementation.idl View 2 chunks +3 lines, -4 lines 0 comments Download
M core/dom/DOMNamedFlowCollection.idl View 1 chunk +2 lines, -2 lines 0 comments Download
M core/dom/DOMStringList.idl View 1 chunk +0 lines, -1 line 0 comments Download
M core/dom/DOMStringMap.idl View 1 chunk +3 lines, -4 lines 0 comments Download
M core/dom/DataTransferItem.idl View 1 chunk +1 line, -1 line 0 comments Download
M core/dom/DataTransferItemList.idl View 1 chunk +1 line, -1 line 0 comments Download
M core/dom/Document.idl View 5 chunks +19 lines, -15 lines 0 comments Download
M core/dom/DocumentFragment.idl View 1 chunk +8 lines, -1 line 0 comments Download
M core/dom/DocumentType.idl View 1 chunk +3 lines, -1 line 0 comments Download
M core/dom/Element.idl View 5 chunks +10 lines, -10 lines 0 comments Download
M core/dom/Entity.idl View 1 chunk +0 lines, -1 line 0 comments Download
D core/dom/EntityReference.idl View 1 chunk +0 lines, -22 lines 0 comments Download
M core/dom/Event.idl View 2 chunks +3 lines, -2 lines 0 comments Download
M core/dom/EventException.idl View 1 chunk +1 line, -2 lines 0 comments Download
M core/dom/EventTarget.idl View 1 chunk +1 line, -0 lines 0 comments Download
M core/dom/MessageChannel.idl View 1 chunk +1 line, -2 lines 0 comments Download
M core/dom/MessageEvent.idl View 1 chunk +2 lines, -2 lines 0 comments Download
M core/dom/MouseEvent.idl View 1 chunk +1 line, -2 lines 0 comments Download
M core/dom/MutationObserver.idl View 1 chunk +1 line, -2 lines 0 comments Download
M core/dom/MutationRecord.idl View 1 chunk +0 lines, -1 line 0 comments Download
M core/dom/NamedFlow.idl View 1 chunk +2 lines, -1 line 0 comments Download
M core/dom/NamedNodeMap.idl View 1 chunk +2 lines, -4 lines 0 comments Download
M core/dom/Node.idl View 1 chunk +1 line, -1 line 0 comments Download
M core/dom/NodeFilter.idl View 1 chunk +0 lines, -1 line 0 comments Download
M core/dom/NodeIterator.idl View 1 chunk +1 line, -1 line 0 comments Download
M core/dom/NodeList.idl View 1 chunk +2 lines, -3 lines 1 comment Download
M core/dom/PopStateEvent.idl View 1 chunk +1 line, -1 line 0 comments Download
M core/dom/ProcessingInstruction.idl View 1 chunk +1 line, -1 line 0 comments Download
M core/dom/Range.idl View 1 chunk +2 lines, -1 line 0 comments Download
M core/dom/SecurityPolicyViolationEvent.idl View 1 chunk +2 lines, -1 line 0 comments Download
D core/dom/ShadowRoot.idl View 1 chunk +0 lines, -44 lines 0 comments Download
M core/dom/Text.idl View 2 chunks +4 lines, -3 lines 0 comments Download
M core/dom/Touch.idl View 1 chunk +1 line, -1 line 0 comments Download
M core/dom/TouchEvent.idl View 1 chunk +3 lines, -1 line 0 comments Download
M core/dom/TouchList.idl View 1 chunk +1 line, -1 line 0 comments Download
M core/dom/TreeWalker.idl View 1 chunk +1 line, -1 line 0 comments Download
A + core/dom/shadow/ShadowRoot.idl View 2 chunks +4 lines, -2 lines 0 comments Download
M core/fileapi/FileError.idl View 1 chunk +0 lines, -1 line 0 comments Download
M core/fileapi/FileException.idl View 1 chunk +2 lines, -2 lines 0 comments Download
M core/fileapi/FileList.idl View 1 chunk +0 lines, -1 line 0 comments Download
M core/fileapi/FileReaderSync.idl View 1 chunk +1 line, -0 lines 0 comments Download
D core/html/DOMFormData.idl View 1 chunk +0 lines, -42 lines 0 comments Download
M core/html/DOMSettableTokenList.idl View 1 chunk +2 lines, -3 lines 0 comments Download
M core/html/DOMTokenList.idl View 1 chunk +1 line, -2 lines 0 comments Download
D core/html/DOMURL.idl View 1 chunk +0 lines, -36 lines 0 comments Download
A + core/html/FormData.idl View 1 chunk +2 lines, -3 lines 1 comment Download
M core/html/HTMLAllCollection.idl View 1 chunk +4 lines, -4 lines 0 comments Download
M core/html/HTMLAppletElement.idl View 1 chunk +1 line, -1 line 0 comments Download
M core/html/HTMLAudioElement.idl View 1 chunk +1 line, -0 lines 0 comments Download
M core/html/HTMLCollection.idl View 1 chunk +2 lines, -4 lines 0 comments Download
M core/html/HTMLDataListElement.idl View 1 chunk +1 line, -1 line 0 comments Download
M core/html/HTMLDetailsElement.idl View 1 chunk +3 lines, -1 line 0 comments Download
M core/html/HTMLDialogElement.idl View 1 chunk +1 line, -1 line 0 comments Download
M core/html/HTMLDivElement.idl View 1 chunk +0 lines, -1 line 0 comments Download
M core/html/HTMLDocument.idl View 2 chunks +3 lines, -7 lines 0 comments Download
M core/html/HTMLElement.idl View 3 chunks +3 lines, -4 lines 0 comments Download
M core/html/HTMLEmbedElement.idl View 1 chunk +2 lines, -3 lines 0 comments Download
M core/html/HTMLFormControlsCollection.idl View 1 chunk +4 lines, -3 lines 0 comments Download
M core/html/HTMLFormElement.idl View 2 chunks +3 lines, -4 lines 0 comments Download
M core/html/HTMLFrameSetElement.idl View 1 chunk +2 lines, -3 lines 0 comments Download
M core/html/HTMLImageElement.idl View 1 chunk +0 lines, -1 line 0 comments Download
M core/html/HTMLInputElement.idl View 4 chunks +8 lines, -8 lines 0 comments Download
M core/html/HTMLLinkElement.idl View 1 chunk +1 line, -1 line 0 comments Download
M core/html/HTMLMediaElement.idl View 3 chunks +13 lines, -24 lines 0 comments Download
M core/html/HTMLObjectElement.idl View 1 chunk +1 line, -1 line 0 comments Download
M core/html/HTMLOptionsCollection.idl View 1 chunk +4 lines, -4 lines 0 comments Download
M core/html/HTMLSelectElement.idl View 1 chunk +1 line, -2 lines 0 comments Download
M core/html/HTMLSourceElement.idl View 1 chunk +3 lines, -1 line 0 comments Download
M core/html/HTMLSpanElement.idl View 1 chunk +0 lines, -1 line 0 comments Download
M core/html/HTMLTemplateElement.idl View 1 chunk +1 line, -1 line 0 comments Download
M core/html/HTMLTrackElement.idl View 1 chunk +1 line, -1 line 0 comments Download
M core/html/HTMLUnknownElement.idl View 1 chunk +0 lines, -1 line 0 comments Download
M core/html/HTMLVideoElement.idl View 1 chunk +3 lines, -1 line 0 comments Download
M core/html/ImageData.idl View 1 chunk +1 line, -2 lines 0 comments Download
M core/html/MediaController.idl View 1 chunk +1 line, -0 lines 0 comments Download
M core/html/MediaError.idl View 1 chunk +1 line, -3 lines 0 comments Download
M core/html/MediaKeyError.idl View 2 chunks +2 lines, -4 lines 1 comment Download
M core/html/MediaKeyEvent.idl View 1 chunk +2 lines, -3 lines 0 comments Download
M core/html/RadioNodeList.idl View 1 chunk +2 lines, -0 lines 0 comments Download
M core/html/TextMetrics.idl View 1 chunk +0 lines, -1 line 0 comments Download
M core/html/TimeRanges.idl View 1 chunk +1 line, -1 line 0 comments Download
A + core/html/URL.idl View 1 chunk +3 lines, -4 lines 1 comment Download
M core/html/ValidityState.idl View 1 chunk +0 lines, -1 line 0 comments Download
M core/html/canvas/ArrayBuffer.idl View 1 chunk +1 line, -3 lines 0 comments Download
M core/html/canvas/ArrayBufferView.idl View 1 chunk +1 line, -2 lines 0 comments Download
M core/html/canvas/Canvas2DContextAttributes.idl View 1 chunk +4 lines, -1 line 0 comments Download
M core/html/canvas/CanvasGradient.idl View 1 chunk +0 lines, -1 line 0 comments Download
M core/html/canvas/CanvasPattern.idl View 1 chunk +0 lines, -1 line 0 comments Download
M core/html/canvas/CanvasRenderingContext.idl View 1 chunk +1 line, -0 lines 0 comments Download
M core/html/canvas/CanvasRenderingContext2D.idl View 4 chunks +29 lines, -86 lines 0 comments Download
D core/html/canvas/DOMPath.idl View 1 chunk +0 lines, -70 lines 0 comments Download
M core/html/canvas/EXTDrawBuffers.idl View 1 chunk +1 line, -0 lines 0 comments Download
M core/html/canvas/EXTTextureFilterAnisotropic.idl View 1 chunk +1 line, -0 lines 0 comments Download
M core/html/canvas/Float32Array.idl View 1 chunk +1 line, -3 lines 0 comments Download
M core/html/canvas/Float64Array.idl View 1 chunk +1 line, -3 lines 0 comments Download
M core/html/canvas/Int16Array.idl View 1 chunk +1 line, -3 lines 0 comments Download
M core/html/canvas/Int32Array.idl View 1 chunk +1 line, -3 lines 0 comments Download
M core/html/canvas/Int8Array.idl View 1 chunk +1 line, -3 lines 0 comments Download
M core/html/canvas/OESElementIndexUint.idl View 1 chunk +2 lines, -1 line 0 comments Download
M core/html/canvas/OESStandardDerivatives.idl View 1 chunk +1 line, -0 lines 0 comments Download
M core/html/canvas/OESTextureFloat.idl View 1 chunk +2 lines, -1 line 0 comments Download
A + core/html/canvas/OESTextureFloatLinear.idl View 1 chunk +3 lines, -2 lines 0 comments Download
M core/html/canvas/OESTextureHalfFloat.idl View 1 chunk +1 line, -0 lines 0 comments Download
A + core/html/canvas/OESTextureHalfFloatLinear.idl View 1 chunk +3 lines, -2 lines 0 comments Download
M core/html/canvas/OESVertexArrayObject.idl View 1 chunk +1 line, -0 lines 0 comments Download
A + core/html/canvas/Path.idl View 1 chunk +3 lines, -3 lines 1 comment Download
M core/html/canvas/Uint16Array.idl View 1 chunk +1 line, -3 lines 0 comments Download
M core/html/canvas/Uint32Array.idl View 1 chunk +1 line, -3 lines 0 comments Download
M core/html/canvas/Uint8Array.idl View 1 chunk +1 line, -3 lines 0 comments Download
M core/html/canvas/Uint8ClampedArray.idl View 1 chunk +1 line, -3 lines 0 comments Download
M core/html/canvas/WebGLActiveInfo.idl View 1 chunk +1 line, -2 lines 0 comments Download
M core/html/canvas/WebGLBuffer.idl View 1 chunk +1 line, -1 line 0 comments Download
M core/html/canvas/WebGLCompressedTextureATC.idl View 1 chunk +1 line, -0 lines 0 comments Download
M core/html/canvas/WebGLCompressedTexturePVRTC.idl View 1 chunk +1 line, -0 lines 0 comments Download
M core/html/canvas/WebGLCompressedTextureS3TC.idl View 1 chunk +1 line, -0 lines 0 comments Download
M core/html/canvas/WebGLContextAttributes.idl View 1 chunk +2 lines, -1 line 0 comments Download
M core/html/canvas/WebGLDebugRendererInfo.idl View 1 chunk +1 line, -0 lines 0 comments Download
M core/html/canvas/WebGLDebugShaders.idl View 1 chunk +2 lines, -1 line 0 comments Download
M core/html/canvas/WebGLDepthTexture.idl View 1 chunk +1 line, -0 lines 0 comments Download
M core/html/canvas/WebGLLoseContext.idl View 1 chunk +2 lines, -1 line 0 comments Download
M core/html/canvas/WebGLShaderPrecisionFormat.idl View 1 chunk +1 line, -2 lines 0 comments Download
M core/html/canvas/WebGLVertexArrayObjectOES.idl View 1 chunk +1 line, -0 lines 0 comments Download
A + core/html/ime/Composition.idl View 1 chunk +1 line, -1 line 0 comments Download
A + core/html/ime/InputMethodContext.idl View 1 chunk +0 lines, -1 line 0 comments Download
M core/html/shadow/HTMLContentElement.idl View 1 chunk +0 lines, -1 line 0 comments Download
M core/html/track/TextTrack.idl View 2 chunks +7 lines, -8 lines 0 comments Download
M core/html/track/TextTrackCue.idl View 2 chunks +7 lines, -8 lines 0 comments Download
M core/html/track/TextTrackCueList.idl View 1 chunk +2 lines, -3 lines 0 comments Download
M core/html/track/TextTrackList.idl View 1 chunk +3 lines, -3 lines 0 comments Download
M core/html/track/TextTrackRegion.idl View 1 chunk +2 lines, -2 lines 0 comments Download
M core/html/track/TextTrackRegionList.idl View 1 chunk +3 lines, -3 lines 0 comments Download
M core/html/track/TrackEvent.idl View 1 chunk +2 lines, -2 lines 0 comments Download
M core/inspector/InjectedScriptHost.idl View 1 chunk +1 line, -1 line 0 comments Download
M core/inspector/InspectorFrontendHost.idl View 1 chunk +1 line, -1 line 0 comments Download
M core/inspector/JavaScriptCallFrame.idl View 1 chunk +2 lines, -2 lines 0 comments Download
D core/inspector/ScriptProfile.idl View 1 chunk +0 lines, -34 lines 0 comments Download
D core/inspector/ScriptProfileNode.idl View 1 chunk +0 lines, -39 lines 0 comments Download
M core/loader/appcache/DOMApplicationCache.idl View 1 chunk +1 line, -0 lines 0 comments Download
D core/page/BarInfo.idl View 1 chunk +0 lines, -33 lines 0 comments Download
A + core/page/BarProp.idl View 1 chunk +1 line, -2 lines 0 comments Download
M core/page/Console.idl View 2 chunks +5 lines, -8 lines 0 comments Download
M core/page/Crypto.idl View 1 chunk +1 line, -1 line 0 comments Download
M core/page/DOMPoint.idl View 1 chunk +1 line, -2 lines 0 comments Download
D core/page/DOMSecurityPolicy.idl View 1 chunk +0 lines, -45 lines 0 comments Download
D core/page/DOMSelection.idl View 1 chunk +0 lines, -86 lines 0 comments Download
M core/page/DOMWindow.idl View 3 chunks +47 lines, -461 lines 0 comments Download
M core/page/DOMWindowPagePopup.idl View 1 chunk +1 line, -1 line 0 comments Download
M core/page/History.idl View 1 chunk +4 lines, -9 lines 0 comments Download
M core/page/Location.idl View 1 chunk +13 lines, -16 lines 1 comment Download
M core/page/MemoryInfo.idl View 1 chunk +1 line, -1 line 0 comments Download
M core/page/Navigator.idl View 1 chunk +3 lines, -4 lines 0 comments Download
M core/page/PagePopupController.idl View 1 chunk +2 lines, -2 lines 0 comments Download
M core/page/Performance.idl View 1 chunk +1 line, -1 line 0 comments Download
M core/page/PerformanceEntry.idl View 1 chunk +1 line, -1 line 0 comments Download
M core/page/PerformanceNavigation.idl View 1 chunk +1 line, -2 lines 0 comments Download
M core/page/PerformanceTiming.idl View 1 chunk +1 line, -2 lines 0 comments Download
M core/page/Screen.idl View 1 chunk +1 line, -2 lines 0 comments Download
A + core/page/SecurityPolicy.idl View 1 chunk +2 lines, -2 lines 0 comments Download
A + core/page/Selection.idl View 1 chunk +2 lines, -2 lines 0 comments Download
M core/page/SpeechInputEvent.idl View 1 chunk +1 line, -1 line 0 comments Download
M core/page/SpeechInputResult.idl View 1 chunk +2 lines, -2 lines 0 comments Download
M core/page/SpeechInputResultList.idl View 1 chunk +2 lines, -2 lines 0 comments Download
M core/page/WorkerNavigator.idl View 1 chunk +1 line, -0 lines 0 comments Download
D core/plugins/DOMMimeType.idl View 1 chunk +0 lines, -29 lines 0 comments Download
D core/plugins/DOMMimeTypeArray.idl View 1 chunk +0 lines, -28 lines 0 comments Download
D core/plugins/DOMPlugin.idl View 1 chunk +0 lines, -31 lines 0 comments Download
D core/plugins/DOMPluginArray.idl View 1 chunk +0 lines, -29 lines 0 comments Download
A + core/plugins/MimeType.idl View 1 chunk +3 lines, -3 lines 0 comments Download
A + core/plugins/MimeTypeArray.idl View 1 chunk +4 lines, -4 lines 0 comments Download
A + core/plugins/Plugin.idl View 1 chunk +4 lines, -4 lines 0 comments Download
A + core/plugins/PluginArray.idl View 1 chunk +4 lines, -4 lines 0 comments Download
M core/scripts/in_file.py View 3 chunks +12 lines, -5 lines 0 comments Download
M core/scripts/in_generator.py View 2 chunks +75 lines, -17 lines 0 comments Download
A core/scripts/make_css_property_names.py View 1 chunk +220 lines, -0 lines 0 comments Download
A core/scripts/make_css_value_keywords.py View 1 chunk +131 lines, -0 lines 0 comments Download
A core/scripts/make_dom_exceptions.py View 1 chunk +161 lines, -0 lines 0 comments Download
M core/scripts/make_event_factory.py View 4 chunks +7 lines, -14 lines 0 comments Download
A + core/scripts/make_internal_runtime_flags.py View 2 chunks +27 lines, -14 lines 0 comments Download
M core/scripts/make_runtime_features.py View 2 chunks +23 lines, -71 lines 0 comments Download
A core/scripts/make_style_builder.py View 1 chunk +97 lines, -0 lines 0 comments Download
A core/scripts/name_macros.py View 1 chunk +159 lines, -0 lines 0 comments Download
A + core/scripts/template_expander.py View 2 chunks +12 lines, -14 lines 0 comments Download
A core/scripts/templates/InternalRuntimeFlags.idl.tmpl View 1 chunk +15 lines, -0 lines 0 comments Download
M core/storage/Storage.idl View 1 chunk +3 lines, -3 lines 0 comments Download
M core/svg/ElementTimeControl.idl View 1 chunk +1 line, -1 line 0 comments Download
M core/svg/SVGAltGlyphElement.idl View 1 chunk +1 line, -1 line 0 comments Download
M core/svg/SVGAnimatedAngle.idl View 1 chunk +1 line, -2 lines 0 comments Download
M core/svg/SVGAnimatedBoolean.idl View 1 chunk +1 line, -2 lines 0 comments Download
M core/svg/SVGAnimatedEnumeration.idl View 1 chunk +1 line, -2 lines 0 comments Download
M core/svg/SVGAnimatedInteger.idl View 1 chunk +1 line, -2 lines 0 comments Download
M core/svg/SVGAnimatedLength.idl View 1 chunk +1 line, -2 lines 0 comments Download
M core/svg/SVGAnimatedLengthList.idl View 1 chunk +1 line, -2 lines 0 comments Download
M core/svg/SVGAnimatedNumber.idl View 1 chunk +1 line, -2 lines 0 comments Download
M core/svg/SVGAnimatedNumberList.idl View 1 chunk +1 line, -2 lines 0 comments Download
M core/svg/SVGAnimatedPreserveAspectRatio.idl View 1 chunk +1 line, -2 lines 0 comments Download
M core/svg/SVGAnimatedRect.idl View 1 chunk +1 line, -2 lines 0 comments Download
M core/svg/SVGAnimatedString.idl View 1 chunk +1 line, -2 lines 0 comments Download
M core/svg/SVGAnimatedTransformList.idl View 1 chunk +1 line, -2 lines 0 comments Download
M core/svg/SVGAnimationElement.idl View 2 chunks +3 lines, -2 lines 0 comments Download
M core/svg/SVGColor.idl View 1 chunk +1 line, -2 lines 0 comments Download
M core/svg/SVGElement.idl View 1 chunk +1 line, -1 line 0 comments Download
M core/svg/SVGException.idl View 1 chunk +1 line, -2 lines 0 comments Download
M core/svg/SVGExternalResourcesRequired.idl View 1 chunk +1 line, -1 line 0 comments Download
M core/svg/SVGFilterPrimitiveStandardAttributes.idl View 1 chunk +1 line, -1 line 0 comments Download
M core/svg/SVGFitToViewBox.idl View 1 chunk +1 line, -1 line 0 comments Download
M core/svg/SVGLangSpace.idl View 1 chunk +1 line, -1 line 0 comments Download
M core/svg/SVGLocatable.idl View 1 chunk +1 line, -1 line 0 comments Download
M core/svg/SVGPaint.idl View 1 chunk +1 line, -2 lines 0 comments Download
M core/svg/SVGPathSeg.idl View 1 chunk +1 line, -2 lines 0 comments Download
M core/svg/SVGRenderingIntent.idl View 1 chunk +1 line, -2 lines 0 comments Download
M core/svg/SVGStyleElement.idl View 1 chunk +5 lines, -6 lines 0 comments Download
M core/svg/SVGStyledElement.idl View 1 chunk +1 line, -0 lines 0 comments Download
M core/svg/SVGTests.idl View 1 chunk +1 line, -1 line 0 comments Download
M core/svg/SVGTransformable.idl View 1 chunk +1 line, -1 line 0 comments Download
M core/svg/SVGURIReference.idl View 1 chunk +1 line, -1 line 0 comments Download
M core/svg/SVGUnitTypes.idl View 1 chunk +1 line, -2 lines 0 comments Download
M core/svg/SVGZoomAndPan.idl View 1 chunk +1 line, -2 lines 0 comments Download
M core/testing/InternalSettings.idl View 2 chunks +1 line, -1 line 0 comments Download
M core/testing/Internals.idl View 7 chunks +5 lines, -12 lines 0 comments Download
M core/testing/MallocStatistics.idl View 1 chunk +0 lines, -1 line 0 comments Download
M core/testing/TypeConversions.idl View 1 chunk +0 lines, -1 line 0 comments Download
M core/workers/AbstractWorker.idl View 1 chunk +1 line, -0 lines 0 comments Download
M core/workers/DedicatedWorkerContext.idl View 1 chunk +3 lines, -1 line 0 comments Download
M core/workers/SharedWorker.idl View 1 chunk +1 line, -0 lines 0 comments Download
M core/workers/SharedWorkerContext.idl View 1 chunk +3 lines, -1 line 0 comments Download
M core/workers/WorkerContext.idl View 2 chunks +3 lines, -2 lines 0 comments Download
M core/workers/WorkerLocation.idl View 1 chunk +1 line, -1 line 0 comments Download
M core/xml/DOMParser.idl View 1 chunk +1 line, -2 lines 0 comments Download
M core/xml/XMLSerializer.idl View 1 chunk +1 line, -2 lines 0 comments Download
M core/xml/XPathEvaluator.idl View 1 chunk +1 line, -2 lines 0 comments Download
M core/xml/XPathException.idl View 1 chunk +1 line, -2 lines 0 comments Download
M core/xml/XPathExpression.idl View 1 chunk +1 line, -1 line 0 comments Download
M core/xml/XPathNSResolver.idl View 1 chunk +1 line, -2 lines 0 comments Download
M core/xml/XPathResult.idl View 1 chunk +0 lines, -1 line 0 comments Download
M core/xml/XSLTProcessor.idl View 1 chunk +2 lines, -2 lines 0 comments Download
M modules/README View 1 chunk +1 line, -1 line 0 comments Download
M modules/battery/BatteryManager.idl View 1 chunk +1 line, -0 lines 0 comments Download
M modules/battery/NavigatorBattery.idl View 1 chunk +1 line, -1 line 0 comments Download
M modules/device_orientation/DeviceAcceleration.idl View 1 chunk +1 line, -1 line 0 comments Download
M modules/device_orientation/DeviceMotionEvent.idl View 1 chunk +3 lines, -1 line 0 comments Download
M modules/device_orientation/DeviceRotationRate.idl View 1 chunk +1 line, -1 line 0 comments Download
M modules/encryptedmedia/MediaKeySession.idl View 1 chunk +1 line, -1 line 0 comments Download
M modules/filesystem/DOMFileSystem.idl View 1 chunk +1 line, -0 lines 0 comments Download
M modules/filesystem/DOMFileSystemSync.idl View 1 chunk +3 lines, -1 line 0 comments Download
M modules/filesystem/DirectoryEntry.idl View 1 chunk +3 lines, -1 line 0 comments Download
M modules/filesystem/DirectoryEntrySync.idl View 1 chunk +4 lines, -2 lines 0 comments Download
M modules/filesystem/DirectoryReader.idl View 1 chunk +1 line, -1 line 0 comments Download
M modules/filesystem/DirectoryReaderSync.idl View 1 chunk +1 line, -1 line 0 comments Download
M modules/filesystem/Entry.idl View 1 chunk +1 line, -0 lines 0 comments Download
M modules/filesystem/EntryArray.idl View 1 chunk +1 line, -1 line 0 comments Download
M modules/filesystem/EntryArraySync.idl View 1 chunk +1 line, -1 line 0 comments Download
M modules/filesystem/EntrySync.idl View 1 chunk +1 line, -0 lines 0 comments Download
M modules/filesystem/FileEntry.idl View 1 chunk +3 lines, -1 line 0 comments Download
M modules/filesystem/FileEntrySync.idl View 1 chunk +3 lines, -1 line 0 comments Download
M modules/filesystem/FileWriter.idl View 1 chunk +1 line, -0 lines 0 comments Download
M modules/filesystem/FileWriterSync.idl View 1 chunk +3 lines, -1 line 0 comments Download
M modules/filesystem/Metadata.idl View 1 chunk +1 line, -1 line 0 comments Download
M modules/gamepad/Gamepad.idl View 1 chunk +1 line, -1 line 0 comments Download
M modules/gamepad/GamepadList.idl View 1 chunk +1 line, -1 line 0 comments Download
M modules/gamepad/NavigatorGamepad.idl View 1 chunk +1 line, -1 line 0 comments Download
M modules/geolocation/Coordinates.idl View 1 chunk +1 line, -1 line 0 comments Download
M modules/geolocation/Geolocation.idl View 1 chunk +1 line, -0 lines 0 comments Download
M modules/geolocation/Geoposition.idl View 1 chunk +1 line, -1 line 0 comments Download
M modules/geolocation/PositionError.idl View 1 chunk +1 line, -1 line 0 comments Download
M modules/indexeddb/DOMWindowIndexedDatabase.idl View 1 chunk +0 lines, -21 lines 0 comments Download
M modules/indexeddb/IDBAny.idl View 1 chunk +1 line, -0 lines 0 comments Download
M modules/indexeddb/IDBFactory.idl View 1 chunk +0 lines, -1 line 0 comments Download
M modules/indexeddb/IDBIndex.idl View 1 chunk +0 lines, -1 line 0 comments Download
M modules/indexeddb/IDBKeyRange.idl View 1 chunk +0 lines, -1 line 0 comments Download
M modules/indexeddb/IDBObjectStore.idl View 1 chunk +0 lines, -1 line 0 comments Download
D modules/inputmethod/Composition.idl View 1 chunk +0 lines, -37 lines 0 comments Download
D modules/inputmethod/InputMethodContext.idl View 1 chunk +0 lines, -43 lines 0 comments Download
A + modules/mediasource/DOMWindowMediaSource.idl View 1 chunk +4 lines, -4 lines 0 comments Download
D modules/mediasource/MediaSource.idl View 1 chunk +0 lines, -64 lines 0 comments Download
D modules/mediasource/SourceBuffer.idl View 1 chunk +0 lines, -47 lines 0 comments Download
D modules/mediasource/SourceBufferList.idl View 1 chunk +0 lines, -48 lines 0 comments Download
A + modules/mediasource/WebKitMediaSource.idl View 1 chunk +7 lines, -6 lines 0 comments Download
A + modules/mediasource/WebKitSourceBuffer.idl View 1 chunk +3 lines, -2 lines 0 comments Download
A + modules/mediasource/WebKitSourceBufferList.idl View 1 chunk +4 lines, -3 lines 0 comments Download
D modules/mediastream/DOMWindowMediaStream.idl View 1 chunk +0 lines, -34 lines 0 comments Download
M modules/mediastream/MediaStream.idl View 1 chunk +2 lines, -1 line 0 comments Download
M modules/mediastream/MediaStreamTrack.idl View 1 chunk +1 line, -0 lines 0 comments Download
M modules/mediastream/MediaStreamTrackEvent.idl View 1 chunk +3 lines, -1 line 0 comments Download
M modules/mediastream/NavigatorUserMediaError.idl View 1 chunk +3 lines, -1 line 0 comments Download
M modules/mediastream/RTCDTMFSender.idl View 1 chunk +1 line, -0 lines 0 comments Download
M modules/mediastream/RTCDTMFToneChangeEvent.idl View 1 chunk +1 line, -0 lines 0 comments Download
M modules/mediastream/RTCDataChannel.idl View 1 chunk +1 line, -0 lines 0 comments Download
M modules/mediastream/RTCDataChannelEvent.idl View 1 chunk +3 lines, -1 line 0 comments Download
M modules/mediastream/RTCIceCandidateEvent.idl View 1 chunk +3 lines, -1 line 0 comments Download
M modules/mediastream/RTCPeerConnection.idl View 1 chunk +1 line, -0 lines 0 comments Download
M modules/mediastream/RTCStatsReport.idl View 1 chunk +1 line, -1 line 0 comments Download
M modules/mediastream/RTCStatsResponse.idl View 1 chunk +3 lines, -1 line 0 comments Download
M modules/notifications/DOMWindowNotifications.idl View 1 chunk +2 lines, -5 lines 0 comments Download
M modules/notifications/NotificationCenter.idl View 1 chunk +2 lines, -1 line 0 comments Download
M modules/notifications/WorkerContextNotifications.idl View 1 chunk +3 lines, -3 lines 0 comments Download
M modules/quota/StorageInfo.idl View 1 chunk +1 line, -1 line 0 comments Download
M modules/quota/StorageQuota.idl View 1 chunk +1 line, -1 line 0 comments Download
D modules/speech/DOMWindowSpeech.idl View 1 chunk +0 lines, -32 lines 0 comments Download
M modules/speech/DOMWindowSpeechSynthesis.idl View 1 chunk +0 lines, -2 lines 0 comments Download
M modules/speech/SpeechGrammar.idl View 1 chunk +2 lines, -2 lines 0 comments Download
M modules/speech/SpeechGrammarList.idl View 1 chunk +2 lines, -2 lines 0 comments Download
M modules/speech/SpeechRecognition.idl View 1 chunk +2 lines, -1 line 0 comments Download
M modules/speech/SpeechRecognitionAlternative.idl View 1 chunk +1 line, -1 line 0 comments Download
M modules/speech/SpeechRecognitionError.idl View 1 chunk +1 line, -0 lines 0 comments Download
M modules/speech/SpeechRecognitionEvent.idl View 1 chunk +2 lines, -1 line 0 comments Download
M modules/speech/SpeechRecognitionResult.idl View 1 chunk +1 line, -1 line 0 comments Download
M modules/speech/SpeechRecognitionResultList.idl View 1 chunk +1 line, -1 line 0 comments Download
M modules/speech/SpeechSynthesis.idl View 1 chunk +1 line, -0 lines 0 comments Download
M modules/speech/SpeechSynthesisVoice.idl View 1 chunk +1 line, -0 lines 0 comments Download
M modules/vibration/NavigatorVibration.idl View 1 chunk +1 line, -1 line 0 comments Download
M modules/webaudio/AudioBuffer.idl View 1 chunk +1 line, -2 lines 0 comments Download
M modules/webaudio/AudioContext.idl View 1 chunk +1 line, -0 lines 0 comments Download
M modules/webaudio/AudioDestinationNode.idl View 1 chunk +1 line, -2 lines 0 comments Download
M modules/webaudio/AudioListener.idl View 1 chunk +1 line, -2 lines 0 comments Download
M modules/webaudio/AudioNode.idl View 2 chunks +11 lines, -1 line 0 comments Download
M modules/webaudio/AudioSourceNode.idl View 1 chunk +2 lines, -2 lines 0 comments Download
D modules/webaudio/DOMWindowWebAudio.idl View 1 chunk +0 lines, -36 lines 0 comments Download
M modules/webaudio/OfflineAudioContext.idl View 1 chunk +1 line, -0 lines 0 comments Download
M modules/webaudio/PannerNode.idl View 1 chunk +1 line, -0 lines 0 comments Download
M modules/webaudio/ScriptProcessorNode.idl View 1 chunk +3 lines, -4 lines 0 comments Download
M modules/webaudio/WaveTable.idl View 1 chunk +1 line, -2 lines 0 comments Download
M modules/webdatabase/DOMWindowWebDatabase.idl View 1 chunk +0 lines, -1 line 0 comments Download
M modules/webdatabase/Database.idl View 1 chunk +1 line, -0 lines 0 comments Download
M modules/webdatabase/DatabaseSync.idl View 1 chunk +1 line, -0 lines 0 comments Download
M modules/webdatabase/SQLError.idl View 1 chunk +1 line, -1 line 0 comments Download
M modules/webdatabase/SQLException.idl View 1 chunk +1 line, -2 lines 0 comments Download
M modules/webdatabase/SQLResultSet.idl View 1 chunk +1 line, -1 line 0 comments Download
M modules/webdatabase/SQLResultSetRowList.idl View 1 chunk +1 line, -1 line 0 comments Download
M modules/webdatabase/SQLTransaction.idl View 1 chunk +1 line, -1 line 0 comments Download
M modules/webdatabase/SQLTransactionSync.idl View 1 chunk +1 line, -1 line 0 comments Download
D modules/webmidi/DOMWindowWebMIDI.idl View 1 chunk +0 lines, -34 lines 0 comments Download
M modules/webmidi/MIDIConnectionEvent.idl View 1 chunk +1 line, -0 lines 0 comments Download
M modules/webmidi/MIDIInput.idl View 1 chunk +1 line, -0 lines 0 comments Download
M modules/webmidi/MIDIMessageEvent.idl View 1 chunk +1 line, -0 lines 0 comments Download
A + modules/webmidi/MIDIOutput.idl View 1 chunk +4 lines, -5 lines 0 comments Download
M modules/webmidi/MIDIPort.idl View 1 chunk +1 line, -0 lines 0 comments Download
D modules/websockets/DOMWindowWebSocket.idl View 1 chunk +0 lines, -31 lines 0 comments Download

Messages

Total messages: 3
vsm
Committed patchset #1 manually as r23517 (presubmit successful).
9 years, 4 months ago (2013-06-02 22:49:00 UTC) #1
antonm1
DB{C,Q} https://codereview.appspot.com/9889044/diff/1/core/dom/NodeList.idl File core/dom/NodeList.idl (right): https://codereview.appspot.com/9889044/diff/1/core/dom/NodeList.idl#newcode27 core/dom/NodeList.idl:27: [ImplementedAs=anonymousNamedGetter, OverrideBuiltins] getter (Node or unsigned long) (DOMString ...
9 years, 4 months ago (2013-06-03 08:51:22 UTC) #2
vsm
9 years, 4 months ago (2013-06-03 14:37:50 UTC) #3
Message was sent while issue was closed.
On 2013/06/03 08:51:22, antonm1 wrote:
> DB{C,Q}
> 
> https://codereview.appspot.com/9889044/diff/1/core/dom/NodeList.idl
> File core/dom/NodeList.idl (right):
> 
> https://codereview.appspot.com/9889044/diff/1/core/dom/NodeList.idl#newcode27
> core/dom/NodeList.idl:27: [ImplementedAs=anonymousNamedGetter,
OverrideBuiltins]
> getter (Node or unsigned long) (DOMString name);
> wow!  I wonder how we process those.

Yeah.  I added a UnionType to the parser.  We should map it to dynamic for now. 
I haven't had to do this yet surprisingly.  I believe all these methods are
dropped right now - they are all named indexed getters.

> 
> https://codereview.appspot.com/9889044/diff/1/core/html/FormData.idl
> File core/html/FormData.idl (left):
> 
> https://codereview.appspot.com/9889044/diff/1/core/html/FormData.idl#oldcode35
> core/html/FormData.idl:35: ] interface DOMFormData {
> there are still some references to DOMFormData in dom.json, should those go
> away?

I'll take a look.

> 
> https://codereview.appspot.com/9889044/diff/1/core/html/MediaKeyError.idl
> File core/html/MediaKeyError.idl (left):
> 
>
https://codereview.appspot.com/9889044/diff/1/core/html/MediaKeyError.idl#old...
> core/html/MediaKeyError.idl:27:
Conditional=ENCRYPTED_MEDIA|ENCRYPTED_MEDIA_V2,
> ENCRYPTED_MEDIA_V2 define, cannot it go away now?

It shows up a few lines below in this file.
> 
> https://codereview.appspot.com/9889044/diff/1/core/html/URL.idl
> File core/html/URL.idl (left):
> 
> https://codereview.appspot.com/9889044/diff/1/core/html/URL.idl#oldcode31
> core/html/URL.idl:31: ] interface DOMURL {
> ditto for dom.json
> 
> https://codereview.appspot.com/9889044/diff/1/core/html/canvas/Path.idl
> File core/html/canvas/Path.idl (left):
> 
>
https://codereview.appspot.com/9889044/diff/1/core/html/canvas/Path.idl#oldco...
> core/html/canvas/Path.idl:37: ] interface DOMPath {
> ditto for DOMPath in dom.json and all other renames
> 
> https://codereview.appspot.com/9889044/diff/1/core/page/Location.idl
> File core/page/Location.idl (right):
> 
> https://codereview.appspot.com/9889044/diff/1/core/page/Location.idl#newcode32
> core/page/Location.idl:32: [SetterCallWith=ActiveWindow|FirstWindow,
> DoNotCheckSecurityOnSetter, Unforgeable] attribute DOMString href;
> do you know how those changes affect generated native bindings?

I had to keep these all custom (they're auto-generated in V8).  We don't process
ActiveWindow or FirstWindow.  We need to inject window as an argument for each
to automate this.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b